Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR___CI_
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Locator_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Locator_ptr &)
CORBA::Boolean TAO_PortableServer_Export | operator<< (TAO_OutputCDR &, const ImplementationRepository::Locator::ServerNameList &)
CORBA::Boolean TAO_PortableServer_Export | operator>> (TAO_InputCDR &, ImplementationRepository::Locator::ServerNameList &)

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_LOCATOR___CI_

## Function Documentation

CORBA::Boolean TAO_PortableServer_Export operator<< | ( | TAO_OutputCDR & | ,
|  | const ImplementationRepository::Locator::ServerNameList & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const ImplementationRepository::Locator_ptr |
| ) |

CORBA::Boolean TAO_PortableServer_Export operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Locator::ServerNameList & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Locator_ptr & |
| ) |